Skip to main content
PUT
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
Edit translation memory
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "targetLangs": [
    "<string>"
  ],
  "note": "<string>"
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}"

payload = {
"name": "<string>",
"targetLangs": ["<string>"],
"note": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', targetLangs: ['<string>'], note: '<string>'})
};

fetch('https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "businessUnit": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "client": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "domain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "id": "<string>",
  "internalId": 123,
  "name": "<string>",
  "note": "<string>",
  "owner": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "sourceLang": "<string>",
  "subDomain": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "targetLangs": [
    "<string>"
  ],
  "uid": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Translation memory UID

Body

application/json

Translation memory edit request

Request body for editing an existing translation memory

name
string
required

Display name of the translation memory

Maximum string length: 255
targetLangs
string[]
required

New target languages to add. No languages can be removed

businessUnit
object
client
object
domain
object
note
string

Optional note or description (max 4096 characters)

Maximum string length: 4096
owner
object
subDomain
object

Response

OK

Translation memory resource returned by get, create and edit endpoints

businessUnit
object
client
object
createdBy
object
dateCreated
string<date-time>

Date the translation memory was created

domain
object
id
string

String representation of the internal TM database ID

internalId
integer<int32>

Internal numeric ID of the translation memory

name
string

Display name of the translation memory

note
string

Optional note or description for the translation memory

owner
object
sourceLang
string

Source language locale

subDomain
object
targetLangs
string[]

List of target language locales

uid
string

Unique identifier (UID) of the translation memory